## lsb 4.1+Debian13+nmu1

=== debian/changelog ===
lsb (4.1+Debian13+nmu1) unstable; urgency=medium

  [ Ondřej Surý]
  * Non-maintainer upload with maintainer agreement
  * Change libjpeg62 dependency to libjpeg62-turbo (Closes: #766023)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Oct 2014 11:37:56 +0200

lsb (4.1+Debian13) unstable; urgency=medium

  [ Steve Langasek ]
  * test/test_lsb_release.py: also, make lsb_release ignore dpkg origins for
    the test, otherwise the test fails on derivatives.

  [ Colin Watson ]
  * Use open() rather than file() in initdutils.py, for Python 3 compatibility
    (see LP #1035136)
  * Test fileob and strob against None in RFC822Parser.__init__ rather than
    testing their truth value, to avoid a misleading error in the case of a
    file with no LSB headers

  [ Adam Conrad ]
  * Allow lsb-printing to depend on cups-filters | ghostscript-cups

  [ Didier Raboud ]
  * Revert "Fix the remaining problems of initdutils.py python3 compatibility"
    (Closes: #743903)
  * Allow multiarch alternatives of libc6-i386 and lib32z1.
    Thanks to Michael Biebl (Closes: #748426)

  [ Marcel Partap ]
  * In lsb_release, don't forget CODENAME when it's testing; therefore stop
  * calling apt-cache policy again (Closes: #747413)

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jun 2014 08:07:23 +0200

lsb (4.1+Debian12) unstable; urgency=low

  [ Colin Watson ]
  * Depend directly on libnss3 and libnspr4 rather than via the
    transitional packages libnss3-1d and libnspr4-0d.

  [ Didier Raboud ]
  * Drop one more unnecessary use of /bin/echo -n.
  * Fix lsb_release to correctly work with stable release updates
    incrementing the second digit from Wheezy on. (Closes: #711174)

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Jun 2013 12:30:53 +0200
