## lsb 4.1+Debian13+rpi1+nmu1

=== debian/changelog ===
lsb (4.1+Debian13+rpi1+nmu1) jessie-staging; urgency=low

  * change origin and label to look for when interrogating apt for 
    distribution information to match those used in the raspbian repository.
    (LP: 1069141)
  * Try and fail to fix testsuite to work with our new settings
  * Disable testsuite

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 08 Nov 2014 12:56:07 +0000
