## lsb 4.1+devuan2

=== debian/changelog ===
lsb (4.1+devuan2) unstable; urgency=medium

  * Finished devuanization.

 -- Franco (nextime) Lanza <nextime@nexlab.it>  Sun, 24 May 2015 06:22:45 +0200

lsb (4.1+devuan1) unstable; urgency=medium

  * Import into Devuan, light changes

 -- Denis Roio <jaromil@dyne.org>  Mon, 06 Apr 2015 16:16:23 +0200
