=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-# Map Debian architectures to LSB architectures
+# Map Devuan architectures to LSB architectures
 lsbarch=${DEB_HOST_ARCH}
 ifeq (${lsbarch}, i386)
 lsbarch=ia32
@@ -54,9 +54,8 @@
 	# Tests are not backported to python2.6, sorry.
 
 test-python%:
-	echo testsuite disabled as I could not get it to work with our changed settings --plugwash
-	#PATH=test/:$${PATH} PYTHONPATH=. python$* test/test_lsb_release.py -vv
-	#PYTHONPATH=. python$* test/test_initdutils.py -vv
+	PATH=test/:$${PATH} PYTHONPATH=. python$* test/test_lsb_release.py -vv
+	PYTHONPATH=. python$* test/test_initdutils.py -vv
 
 override_dh_python2:
 	dh_python2
