=== debian/control ===
Source: lsb
Section: misc
Priority: extra
Maintainer: Debian LSB Team <debian-lsb@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>, Jeff Licquia <licquia@debian.org>
Build-Depends: debhelper (>> 9.0),
 po-debconf (>= 0.5.0),
 dpkg-dev (>= 1.10),
 python3-all,
 dh-python,
 distro-info-data,
X-Python3-Version: >= 3.4
Standards-Version: 3.9.6
Homepage: http://www.linuxfoundation.org/collaborate/workgroups/lsb
Vcs-Git: git://anonscm.debian.org/collab-maint/lsb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lsb.git

Package: lsb-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: upstart (<< 1.12.1-0ubuntu8)
Breaks: upstart (<< 1.12.1-0ubuntu8)
Priority: required
Description: Linux Standard Base init script functionality
 The Linux Standard Base (http://www.linuxbase.org/) is a standard
 core system that third-party applications written for Linux can
 depend upon.
 .
 This package only includes the init-functions shell library, which
 may be used by other packages' initialization scripts for console
 logging and other purposes.

Package: lsb-release
Architecture: all
Priority: optional
Multi-Arch: foreign
Depends: ${python3:Depends},
 ${misc:Depends},
 distro-info-data,
Recommends: apt
Suggests: lsb
Description: Linux Standard Base version reporting utility
 The Linux Standard Base (http://www.linuxbase.org/) is a standard
 core system that third-party applications written for Linux can
 depend upon.
 .
 The lsb-release command is a simple tool to help identify the Linux
 distribution being used and its compliance with the Linux Standard Base.
 LSB conformance will not be reported unless the required metapackages are
 installed.
 .
 While it is intended for use by LSB packages, this command may also
 be useful for programmatically distinguishing between a pure Debian
 installation and derived distributions.
