## lsb 9.20160110ubuntu0.2

=== debian/changelog ===
lsb (9.20160110ubuntu0.2) xenial; urgency=medium

  * Revert changes to python2 vs. python3 installation of lsb_release.py,
    inadvertently breaking imports of lsb_release in python2.  LP: #1596638.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jul 2016 08:18:48 -0700

lsb (9.20160110ubuntu0.1) xenial; urgency=medium

  * lsb_release.py: restore support for querying the list of installed
    modules, since for the moment some modules are still supported.

  [ Till Kamppeter ]
  * Re-added LSB compatibility packages, so that auto-downloadable
    LSB-based printer driver packages work.  Thanks to Till Kammpeter
    for the patch.  LP: #1536353
  * Added Conflicts/Replaces against cups-filters-invalid-mta and
    cups-filters-lsb for upgrade compatibility from the Xenial development
    cycle.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Jun 2016 15:14:49 -0700
