## lsb 9.20161125

=== debian/changelog ===
lsb (9.20161125) unstable; urgency=medium

  [ Didier Raboud ]
  * Test the distro-info non-Debian fallback, to fix #845489
  * Also run the tests for all pyversions (Python 2.7 only)
  * Fix regressions on python2 (Closes: #845489)

  [ Philipp Hahn ]
  * Strip leading spaces in get_lsb_header_val (Closes: #837639)

 -- Didier Raboud <odyx@debian.org>  Fri, 25 Nov 2016 16:15:24 +0100

lsb (9.20161101) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate Build-Depends: python3-all with :any (Closes: #841679)
  * Add support for DEB_BUILD_OPTIONS=nocheck

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Nov 2016 22:00:00 +0100

lsb (9.20161016) unstable; urgency=medium

  * Introduce the new lsb-compat package, providing a limited compatibility
    layer for some selected LSB packages
    - Provides, and replaces lsb & lsb-core
    - Should be sufficient to install and run:
      - Epson printer drivers (LP: #1536353)
      - Google Earth (Closes: #830481)

 -- Didier Raboud <odyx@debian.org>  Sun, 16 Oct 2016 15:55:46 +0200

lsb (9.20160629) unstable; urgency=medium

  [ Helge Deller ]
  * Update lsb_release.py to cope with the new Debian Ports' release label
    (Closes: #827137)

 -- Didier Raboud <odyx@debian.org>  Wed, 29 Jun 2016 18:13:15 +0200

lsb (9.20160601) unstable; urgency=medium

  * Revert "Add 01-upstart-lsb from the upstart package, and make executing
    rc.d scripts no-op if there is an upstart job for that script"
    (Closes: #825946)
  * Bump Standards-Version to 3.9.8 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Jun 2016 08:46:56 +0200
