=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
 
+PY2VERSIONS=$(shell [ -x /usr/bin/pyversions ] && pyversions -vr)
 PY3VERSIONS=$(shell [ -x /usr/bin/py3versions ] && py3versions -vr)
 
 %:
@@ -49,7 +50,11 @@
 	rm -rf __pycache__
 	rm -rf test/__pycache__
 
-override_dh_auto_test: $(PY3VERSIONS:%=test-python%)
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+override_dh_auto_test:
+else
+override_dh_auto_test: $(PY3VERSIONS:%=test-python%) $(PY2VERSIONS:%=test-python%)
+endif
 
 test-python%:
 	PATH=test/:$${PATH} PYTHONPATH=. python$* test/test_lsb_release.py -vv
@@ -75,9 +80,8 @@
 endif
 
 override_dh_gencontrol:
-	@echo >> debian/lsb-core.substvars "glibc=${LIBC}"
+	@echo >> debian/lsb-compat.substvars "glibc=${LIBC}"
 #	@[ ${DEB_HOST_GNU_TYPE} != 'arm-linux-gnueabi' ] && echo >> debian/lsb-cxx.substvars "depends=libstdc++5" || true
-	@echo >> debian/lsb-core.substvars "provides=lsb-core-${lsbarch}"
 	@echo >> debian/lsb-cxx.substvars "provides=lsb-cxx-${lsbarch}"
 	@echo >> debian/lsb-graphics.substvars "provides=lsb-graphics-${lsbarch}"
 	@echo >> debian/lsb-desktop.substvars "provides=lsb-qt4-${lsbarch}, lsb-desktop-${lsbarch}"
@@ -85,6 +89,6 @@
 	@echo >> debian/lsb-languages.substvars "provides=lsb-languages-${lsbarch}"
 	@echo >> debian/lsb-printing.substvars "provides=lsb-printing-${lsbarch}"
 	@echo >> debian/lsb-security.substvars "provides=lsb-security-${lsbarch}"
-	@[ ${DEB_HOST_ARCH} = 'amd64' ] && echo >> debian/lsb-core.substvars "depends=libc6:i386 | libc6-i386, zlib1g:i386 | lib32z1" || true
-	@[ ${DEB_HOST_ARCH} = 'kfreebsd-amd64' ] && echo >> debian/lsb-core.substvars "depends=libc0.1:kfreebsd-i386 | libc0.1-i386, zlib1g:kfreebsd-i386 | lib32z1" || true
+	@[ ${DEB_HOST_ARCH} = 'amd64' ] && echo >> debian/lsb-compat.substvars "depends=libc6:i386 | libc6-i386, zlib1g:i386 | lib32z1" || true
+	@[ ${DEB_HOST_ARCH} = 'kfreebsd-amd64' ] && echo >> debian/lsb-compat.substvars "depends=libc0.1:kfreebsd-i386 | libc0.1-i386, zlib1g:kfreebsd-i386 | lib32z1" || true
 	dh_gencontrol
